Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.scribe.messaging
Class SubscribeLostMessage

    java.lang.Object
      rice.p2p.scribe.messaging.SubscribeLostMessage

All Implemented Interfaces:
  java.io.Serializable, Message

    public class SubscribeLostMessage

extends java.lang.Object
implements Message

Version:
  $Id: SubscribeLostMessage.java 3653 2007-03-27 18:39:52Z jeffh $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary
`protected int` | `id`
`protected java.util.Set<Topic>` | `topics`

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`SubscribeLostMessage(NodeHandle source, java.util.Collection<Topic> topics, int id, ScribeMultiClient client)` Constructor which takes a unique integer Id

Method Summary
`void` | `cancel()`
`ScribeMultiClient` | `getClient()`
`int` | `getId()`
`int` | `getPriority()` Method which should return the priority level of this message.
`java.util.Collection<Topic>` | `getTopics()`
`void` | `putTask(CancellableTask task)`
`boolean` | `topicsAcked(java.util.Collection<Topic> topic)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### topics

    protected java.util.Set<Topic> topics

### id

    protected int id

Constructor Detail

### SubscribeLostMessage

    public SubscribeLostMessage(NodeHandle source,
                                java.util.Collection<Topic> topics,
                                int id,
                                ScribeMultiClient client)

  Constructor which takes a unique integer Id

  Parameters:
    `id` - The unique id
    `source` - The source address
    `dest` - The destination address

Method Detail

### getClient

    public ScribeMultiClient getClient()

### getTopics

    public java.util.Collection<Topic> getTopics()

### getId

    public int getId()

### getPriority

    public int getPriority()

  Description copied from interface: `Message`
  Method which should return the priority level of this message. The messages can range in priority from -15 (highest priority) to 15 (lowest) - when sending messages across the wire, the queue is sorted by message priority. If the queue reaches its limit, the lowest priority messages are discarded. Thus, applications which are very verbose should have LOW_PRIORITY or lower, and applications which are somewhat quiet are allowed to have MEDIUM_PRIORITY or possibly even HIGH_PRIORITY.

  Specified by:
    `getPriority` in interface `Message`
  Returns:
    This message's priority

### putTask

    public void putTask(CancellableTask task)

### cancel

    public void cancel()

### topicsAcked

    public boolean topicsAcked(java.util.Collection<Topic> topic)

  Returns:
    true if we have successfully subscribed to all topics, in which case, you should cancel the message and remove it from the table

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.